#ifndef MEMORY_RESOURCE_HPP_
#define MEMORY_RESOURCE_HPP_

#include <string>
#include <fstream>

class MemoryResource
{
	public:
		MemoryResource(const char* data);
		//MemoryResource(const std::string& fileName);
		~MemoryResource();
		const char* begin() const;
		const char* end() const;
		size_t size() const;
		
	private:
		char* _data;
		size_t _size;

};

#endif // MEMORY_RESOURCE_HPP_
